org.apache.cassandra.cql3.selection

## Class RawSelector

- java.lang.Object
- - org.apache.cassandra.cql3.selection.RawSelector

-     public class RawSelector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnIdentifier` | `alias`
    `Selectable.Raw` | `selectable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawSelector(Selectable.Raw selectable, ColumnIdentifier alias)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `processesSelection()`
    `static java.util.List<Selectable>` | `toSelectables(java.util.List<RawSelector> raws, CFMetaData cfm)` Converts the specified list of `RawSelector`s into a list of `Selectable`s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selectable

          public final Selectable.Raw selectable

    - #### alias

          public final ColumnIdentifier alias

  - ### Constructor Detail

    - #### RawSelector

          public RawSelector(Selectable.Raw selectable,
                             ColumnIdentifier alias)

  - ### Method Detail

    - #### toSelectables

          public static java.util.List<Selectable> toSelectables(java.util.List<RawSelector> raws,
                                                                 CFMetaData cfm)

      Converts the specified list of `RawSelector`s into a list of `Selectable`s.
      Parameters:
        `raws` - the `RawSelector`s to converts.
      Returns:
        a list of `Selectable`s

    - #### processesSelection

          public boolean processesSelection()

Copyright © 2018 The Apache Software Foundation